CHFN(1)

NOM
chfn - changer vos informations d'identification

SYNOPSIS

chfn [-f nom-complet] [-o bureau] [-p téléphone-bureau] [-h téléphone-domicile] [-u] [-V] [nom-utilisateur]

DESCRIPTION

chfn est utilisé pour changer vos informations d’identification. Ces informations sont stockées dans le fichier /etc/passwd et sont affichées par le programme finger. La commande finger de Linux affiche quatre informations qui peuvent être changées par chfn : votre nom réel, votre numéro de bureau, votre numéro de téléphone professionnel et le numéro de téléphone de votre domicile.

Chacune de ces quatre informations peut être spécifiée sur la ligne de commande. Si aucune information est donnée sur la ligne de commande, chfn entre en mode interactif.

En mode interactif, chfn demande chaque champ. À l’invite, vous pouvez entrer la nouvelle information ou simplement appuyer sur la touche retour pour laisser le champ inchangé. Entrez le mot-clé « none » pour laisser le champ vide.

chfn supporte les entrées non locales (kerberos, LDAP, etc.) s’il est lié avec libuser. Sinon, utilisez ypchfn(1), lchfn(1) ou toute autre implémentation pour les entrées non locales.

OPTIONS

-f, --full-name nom-complet
    Spécifiez votre nom réel.

-o, --office bureau
    Spécifiez le numéro de votre bureau.

-p, --office-phone numéro-professionnel
    Spécifiez votre numéro de téléphone professionnel.

-h, --home-phone numéro-domicile
    Spécifiez le numéro de téléphone de votre domicile.

-u, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Display version and exit. (Short option -V is used since version 2.39; older versions used the now-deprecated -v).

ÉLÉMENTS DU FICHIER DE CONFIGURATION

chfn lit le fichier de configuration /etc/login.defs (consultez login.defs(5)). Notez que le fichier de configuration pourrait être distribué avec un autre paquet (par ex, shadow-utils). Les éléments de configuration suivants sont pertinents pour chfn :

CHFN_RESTRICT chaîne
    Indique quels champs sont éditables par chfn.

    La valeur booléenne « yes » signifie que seuls les champs du bureau, du numéro de téléphone professionnel et celui du domicile peuvent être changés. La valeur booléenne « no » signifie que le nom complet peut également être changé.

    Une autre manière d’indiquer les champs qui peuvent être modifiés consiste à utiliser les abréviations : f = Nom complet, r = Bureau (numéro), w = Téléphone professionnel, h = Téléphone du domicile. Par exemple, CHFN_RESTRICT "wh" autorise l’édition des numéros de téléphones professionnel et du domicile.

    Si CHFN_RESTRICT n’est pas défini, toutes les informations sont figées en lecture seule. C’est le comportement par défaut.

CODE DE RETOUR

Retourne 0 si l’opération a réussi, 1 si l’opération a échoué ou la syntaxe de la commande n’est pas valable.

AUTEURS

VOIR AUSSI

chsh(1), finger(1), login.defs(5), passwd(5)

SIGNALER DES BOGUES

Pour signaler un bogue, utilisez le

DISPONIBILITÉ

La commande chfn fait partie du paquet util-linux, elle est disponible sur